Subject: Re: [PATCH v2 04/13] reftable: add a barebones unittest framework

From: Josh Steadmon <[email-masked]>
Date: Thu, 8 Oct 2020 15:31:23 -0700

On 2020.10.07 18:45, Jonathan Tan wrote:
> > From: Han-Wen Nienhuys <[email-masked]>
> > 
> > Signed-off-by: Han-Wen Nienhuys <[email-masked]>
> > ---
> >  reftable/test_framework.c | 68 +++++++++++++++++++++++++++++++++++++++
> >  reftable/test_framework.h | 59 +++++++++++++++++++++++++++++++++
> 
> Even if reftable will be a project maintained by the Git project but
> independent enough to be used by other projects, I don't think it's
> worth creating a separate test framework. E.g. as far as I can tell,
> when we import sha1dc, we don't import any tests, so I don't think they
> need to import tests either - they can run the tests in the Git repo
> themselves if they need to.

I agree with Jonathan here, I think we should stick with the existing
test framework.